ZyanString_(3)

NAME
ZyanString_

SYNOPSIS

#include <String.h>

  Public Attributes

ZyanStringFlags flags
ZyanVector vector

Detailed Description

Defines the ZyanString struct.

The ZyanString type is implemented as a size-prefixed string - which allows for a lot of performance optimizations. Nevertheless null-termination is guaranteed at all times to provide maximum compatibility with default C-style strings (use ZyanStringGetData to access the C-style string).

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.

Member Data Documentation

  ZyanStringFlags ZyanString_::flags
String flags.

  ZyanVector ZyanString_::vector
The vector that contains the actual string.

Author

Generated automatically by Doxygen for Zycore from the source code.